#!/bin/bash

if [ "$1" != "" ] ; then
 while true; do
   qsserver=`dig +short <internetaddress of qsieve server>`
   ( echo -n "$HOSTNAME core $1 restarted at "; date ) >>~/restart.log
   nice -n 19 net-client $qsserver >>net-sieve.$1.log
   sleep 100
 done
 exit 0
fi
 #cd /tmp/qsieve-3.02-rc2
cpucount=`cat /proc/cpuinfo | grep vendor_id | wc -l`
while [[ $cpucount -gt 0 ]] ; do
   $0 $cpucount &
   let cpucount--
   sleep 5
done

idlecounter=0
while true; do
  status=`ps auxwwww | grep net-client | grep -v grep | head -1 | awk '{ print $8 }'`
  #echo -n "status=$status idle=$idlecounter "
  #date
  if [ "$status" == "SN" ] ; then let idlecounter++
  else idlecounter=0; fi
  if [[ $idlecounter -gt 3 ]] ; then
    #echo "restarting net-client"
   ( echo -n "$HOSTNAME clients killed at "; date ) >>~/restart.log
    psid=`ps auxwwww | grep net-client | grep -v grep | awk '{ print $2 }'`
    for i in $psid; do
      kill $psid
    done
    idlecounter=0
  fi
  sleep 60
done
