#! /bin/bash

# written 2007-11-05 by Thorsten Reinecke

# this script converts all UTF-8 files to latin1
# it may be useful for users that want to edit or read the
# source code and text files under a non-UTF-8 environment (such as cygwin).

# these are some test characters: äöü ÄÖÜ ß

function myconv()
{
  rm -f x.tmp
  iconv -f UTF-8 -t ISO-8859-1 "$1" > x.tmp || return 0
  diff -q x.tmp "$1" >/dev/null && return 0
  cp -i x.tmp "$1"
}

rm -f x.tmp
for i in $(find . -type f); do
 myconv $i
done
rm -f x.tmp
